
"""
2007. október: Foci
@author Klemand66
"""

print("\n1. feladat\n")

ford=[]
hg=[]
vg=[]
hgf=[]
vgf=[]
hcs=[]
vcs=[]

betxt = open("meccs.txt")

n = int(betxt.readline().strip())

for i in range(n):
    darsor=betxt.readline().strip().split()
    ford.append(int(darsor[0]))
    hg.append(int(darsor[1]))
    vg.append(int(darsor[2]))
    hgf.append(int(darsor[3]))
    vgf.append(int(darsor[4]))
    hcs.append(darsor[5])
    vcs.append(darsor[6])
    
betxt.close()
print("A beolvasás és a fájl lezárása sikeresen befejeződött.")


print("\n2. feladat\n")

aktford=int(input("Kérem egy forduló sorszámát: "))
print()

for i,f in enumerate(ford):
    if f==aktford:
        print(f' {hcs[i]}-{vcs[i]}: {hg[i]}-{vg[i]} ({hgf[i]}-{vgf[i]})')


print("\n3. feladat\n")

for i,f in enumerate(ford):
    if (hg[i]-vg[i])*(hgf[i]-vgf[i])<0:
        if hg[i]>vg[i]:
            print(f' A(z) {f:2}. fordulóban fordított és nyert a hazai  {hcs[i]}.')
        else:
            print(f' A(z) {f:2}. fordulóban fordított és nyert a vendég {vcs[i]}.')


print("\n4. feladat\n")

aktcsapat=input("Kérem egy csapat nevét: ").strip().capitalize()


print("\n5. feladat\n")

lott=0
kapott=0

for i in range(len(ford)):
    if hcs[i]==aktcsapat:
        lott+=hg[i]
        kapott+=vg[i]
    elif vcs[i]==aktcsapat:
        lott+=vg[i]
        kapott+=hg[i]

print(f' A(z) {aktcsapat} összesen {lott} gólt lőtt és {kapott} gólt kapott.')


print("\n6. feladat\n")

kikaptak=False
for i,f in enumerate(ford):
    if hcs[i]==aktcsapat and vg[i]>hg[i]:
        kikaptak=True
        print(f' A(z) {aktcsapat} csapat a(z) {f}. fordulóban kapott ki először otthon \
a(z) {vcs[i]} csapattól.')
        break

if not kikaptak:
    print(f' A(z) {aktcsapat} csapat otthon veretlen maradt.')
    

print("\n7. feladat\n")

eredmenylista=[]
gyaklista=[]

for i in range(len(ford)):
    a=max(hg[i],vg[i])
    b=min(hg[i],vg[i])
    eredmeny=f'{a}-{b}'
    if eredmeny in eredmenylista:
        aktindex=eredmenylista.index(eredmeny)
        gyaklista[aktindex]+=1
    else:
        eredmenylista.append(eredmeny)
        gyaklista.append(1)
        
kitxt = open("stat.txt","w")

for i,eredmeny in enumerate(eredmenylista):
    kitxt.write(f'{eredmeny}: {gyaklista[i]} darab\n')

kitxt.close()
print("A kiíratás és a szövegfájl lezárása sikeresen befejeződött.")


input("\nA befejezéshez nyomd meg az ENTER billentyűt!")

